Initial commit of vpp code.
[vpp.git] / vppapigen / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 VPATH = @srcdir@
18 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
19 am__make_running_with_option = \
20   case $${target_option-} in \
21       ?) ;; \
22       *) echo "am__make_running_with_option: internal error: invalid" \
23               "target option '$${target_option-}' specified" >&2; \
24          exit 1;; \
25   esac; \
26   has_opt=no; \
27   sane_makeflags=$$MAKEFLAGS; \
28   if $(am__is_gnu_make); then \
29     sane_makeflags=$$MFLAGS; \
30   else \
31     case $$MAKEFLAGS in \
32       *\\[\ \   ]*) \
33         bs=\\; \
34         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
35           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
36     esac; \
37   fi; \
38   skip_next=no; \
39   strip_trailopt () \
40   { \
41     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
42   }; \
43   for flg in $$sane_makeflags; do \
44     test $$skip_next = yes && { skip_next=no; continue; }; \
45     case $$flg in \
46       *=*|--*) continue;; \
47         -*I) strip_trailopt 'I'; skip_next=yes;; \
48       -*I?*) strip_trailopt 'I';; \
49         -*O) strip_trailopt 'O'; skip_next=yes;; \
50       -*O?*) strip_trailopt 'O';; \
51         -*l) strip_trailopt 'l'; skip_next=yes;; \
52       -*l?*) strip_trailopt 'l';; \
53       -[dEDm]) skip_next=yes;; \
54       -[JT]) skip_next=yes;; \
55     esac; \
56     case $$flg in \
57       *$$target_option*) has_opt=yes; break;; \
58     esac; \
59   done; \
60   test $$has_opt = yes
61 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
62 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
63 pkgdatadir = $(datadir)/@PACKAGE@
64 pkgincludedir = $(includedir)/@PACKAGE@
65 pkglibdir = $(libdir)/@PACKAGE@
66 pkglibexecdir = $(libexecdir)/@PACKAGE@
67 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
68 install_sh_DATA = $(install_sh) -c -m 644
69 install_sh_PROGRAM = $(install_sh) -c
70 install_sh_SCRIPT = $(install_sh) -c
71 INSTALL_HEADER = $(INSTALL_DATA)
72 transform = $(program_transform_name)
73 NORMAL_INSTALL = :
74 PRE_INSTALL = :
75 POST_INSTALL = :
76 NORMAL_UNINSTALL = :
77 PRE_UNINSTALL = :
78 POST_UNINSTALL = :
79 bin_PROGRAMS = vppapigen$(EXEEXT)
80 subdir = .
81 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
82         $(top_srcdir)/configure $(am__configure_deps) gram.c depcomp \
83         ylwrap compile install-sh missing
84 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
85 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
86 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
87         $(ACLOCAL_M4)
88 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
89  configure.lineno config.status.lineno
90 mkinstalldirs = $(install_sh) -d
91 CONFIG_CLEAN_FILES =
92 CONFIG_CLEAN_VPATH_FILES =
93 am__installdirs = "$(DESTDIR)$(bindir)"
94 PROGRAMS = $(bin_PROGRAMS)
95 am_vppapigen_OBJECTS = vppapigen-gram.$(OBJEXT) \
96         vppapigen-lex.$(OBJEXT) vppapigen-node.$(OBJEXT)
97 vppapigen_OBJECTS = $(am_vppapigen_OBJECTS)
98 vppapigen_DEPENDENCIES =
99 vppapigen_LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(vppapigen_LDFLAGS) \
100         $(LDFLAGS) -o $@
101 AM_V_P = $(am__v_P_@AM_V@)
102 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
103 am__v_P_0 = false
104 am__v_P_1 = :
105 AM_V_GEN = $(am__v_GEN_@AM_V@)
106 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
107 am__v_GEN_0 = @echo "  GEN     " $@;
108 am__v_GEN_1 = 
109 AM_V_at = $(am__v_at_@AM_V@)
110 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
111 am__v_at_0 = @
112 am__v_at_1 = 
113 DEFAULT_INCLUDES = -I.@am__isrc@
114 depcomp = $(SHELL) $(top_srcdir)/depcomp
115 am__depfiles_maybe = depfiles
116 am__mv = mv -f
117 AM_V_lt = $(am__v_lt_@AM_V@)
118 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
119 am__v_lt_0 = --silent
120 am__v_lt_1 = 
121 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
122         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
123 AM_V_CC = $(am__v_CC_@AM_V@)
124 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
125 am__v_CC_0 = @echo "  CC      " $@;
126 am__v_CC_1 = 
127 CCLD = $(CC)
128 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
129 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
130 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
131 am__v_CCLD_0 = @echo "  CCLD    " $@;
132 am__v_CCLD_1 = 
133 am__yacc_c2h = sed -e s/cc$$/hh/ -e s/cpp$$/hpp/ -e s/cxx$$/hxx/ \
134                    -e s/c++$$/h++/ -e s/c$$/h/
135 YACCCOMPILE = $(YACC) $(AM_YFLAGS) $(YFLAGS)
136 AM_V_YACC = $(am__v_YACC_@AM_V@)
137 am__v_YACC_ = $(am__v_YACC_@AM_DEFAULT_V@)
138 am__v_YACC_0 = @echo "  YACC    " $@;
139 am__v_YACC_1 = 
140 YLWRAP = $(top_srcdir)/ylwrap
141 SOURCES = $(vppapigen_SOURCES)
142 DIST_SOURCES = $(vppapigen_SOURCES)
143 am__can_run_installinfo = \
144   case $$AM_UPDATE_INFO_DIR in \
145     n|no|NO) false;; \
146     *) (install-info --version) >/dev/null 2>&1;; \
147   esac
148 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
149 # Read a list of newline-separated strings from the standard input,
150 # and print each of them once, without duplicates.  Input order is
151 # *not* preserved.
152 am__uniquify_input = $(AWK) '\
153   BEGIN { nonempty = 0; } \
154   { items[$$0] = 1; nonempty = 1; } \
155   END { if (nonempty) { for (i in items) print i; }; } \
156 '
157 # Make sure the list of sources is unique.  This is necessary because,
158 # e.g., the same source file might be shared among _SOURCES variables
159 # for different programs/libraries.
160 am__define_uniq_tagged_files = \
161   list='$(am__tagged_files)'; \
162   unique=`for i in $$list; do \
163     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
164   done | $(am__uniquify_input)`
165 ETAGS = etags
166 CTAGS = ctags
167 CSCOPE = cscope
168 AM_RECURSIVE_TARGETS = cscope
169 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
170 distdir = $(PACKAGE)-$(VERSION)
171 top_distdir = $(distdir)
172 am__remove_distdir = \
173   if test -d "$(distdir)"; then \
174     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
175       && rm -rf "$(distdir)" \
176       || { sleep 5 && rm -rf "$(distdir)"; }; \
177   else :; fi
178 am__post_remove_distdir = $(am__remove_distdir)
179 DIST_ARCHIVES = $(distdir).tar.gz
180 GZIP_ENV = --best
181 DIST_TARGETS = dist-gzip
182 distuninstallcheck_listfiles = find . -type f -print
183 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
184   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
185 distcleancheck_listfiles = find . -type f -print
186 ACLOCAL = @ACLOCAL@
187 AMTAR = @AMTAR@
188 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
189 AUTOCONF = @AUTOCONF@
190 AUTOHEADER = @AUTOHEADER@
191 AUTOMAKE = @AUTOMAKE@
192 AWK = @AWK@
193 CC = @CC@
194 CCDEPMODE = @CCDEPMODE@
195 CFLAGS = @CFLAGS@
196 CPPFLAGS = @CPPFLAGS@
197 CYGPATH_W = @CYGPATH_W@
198 DEFS = @DEFS@
199 DEPDIR = @DEPDIR@
200 ECHO_C = @ECHO_C@
201 ECHO_N = @ECHO_N@
202 ECHO_T = @ECHO_T@
203 EXEEXT = @EXEEXT@
204 INSTALL = @INSTALL@
205 INSTALL_DATA = @INSTALL_DATA@
206 INSTALL_PROGRAM = @INSTALL_PROGRAM@
207 INSTALL_SCRIPT = @INSTALL_SCRIPT@
208 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
209 LDFLAGS = @LDFLAGS@
210 LIBOBJS = @LIBOBJS@
211 LIBS = @LIBS@
212 LTLIBOBJS = @LTLIBOBJS@
213 MAKEINFO = @MAKEINFO@
214 MKDIR_P = @MKDIR_P@
215 OBJEXT = @OBJEXT@
216 PACKAGE = @PACKAGE@
217 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
218 PACKAGE_NAME = @PACKAGE_NAME@
219 PACKAGE_STRING = @PACKAGE_STRING@
220 PACKAGE_TARNAME = @PACKAGE_TARNAME@
221 PACKAGE_URL = @PACKAGE_URL@
222 PACKAGE_VERSION = @PACKAGE_VERSION@
223 PATH_SEPARATOR = @PATH_SEPARATOR@
224 SET_MAKE = @SET_MAKE@
225 SHELL = @SHELL@
226 STRIP = @STRIP@
227 VERSION = @VERSION@
228 YACC = @YACC@
229 YFLAGS = @YFLAGS@
230 abs_builddir = @abs_builddir@
231 abs_srcdir = @abs_srcdir@
232 abs_top_builddir = @abs_top_builddir@
233 abs_top_srcdir = @abs_top_srcdir@
234 ac_ct_CC = @ac_ct_CC@
235 am__include = @am__include@
236 am__leading_dot = @am__leading_dot@
237 am__quote = @am__quote@
238 am__tar = @am__tar@
239 am__untar = @am__untar@
240 bindir = @bindir@
241 build_alias = @build_alias@
242 builddir = @builddir@
243 datadir = @datadir@
244 datarootdir = @datarootdir@
245 docdir = @docdir@
246 dvidir = @dvidir@
247 exec_prefix = @exec_prefix@
248 host_alias = @host_alias@
249 htmldir = @htmldir@
250 includedir = @includedir@
251 infodir = @infodir@
252 install_sh = @install_sh@
253 libdir = @libdir@
254 libexecdir = @libexecdir@
255 localedir = @localedir@
256 localstatedir = @localstatedir@
257 mandir = @mandir@
258 mkdir_p = @mkdir_p@
259 oldincludedir = @oldincludedir@
260 pdfdir = @pdfdir@
261 prefix = @prefix@
262 program_transform_name = @program_transform_name@
263 psdir = @psdir@
264 sbindir = @sbindir@
265 sharedstatedir = @sharedstatedir@
266 srcdir = @srcdir@
267 sysconfdir = @sysconfdir@
268 target_alias = @target_alias@
269 top_build_prefix = @top_build_prefix@
270 top_builddir = @top_builddir@
271 top_srcdir = @top_srcdir@
272 AUTOMAKE_OPTIONS = foreign
273 BUILT_SOURCES = gram.h
274 vppapigen_SOURCES = gram.y lex.c node.c
275 vppapigen_CPPFLAGS = 
276 vppapigen_LDADD = -lvppinfra
277 vppapigen_LDFLAGS = -static
278 all: $(BUILT_SOURCES)
279         $(MAKE) $(AM_MAKEFLAGS) all-am
280
281 .SUFFIXES:
282 .SUFFIXES: .c .o .obj .y
283 am--refresh: Makefile
284         @:
285 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
286         @for dep in $?; do \
287           case '$(am__configure_deps)' in \
288             *$$dep*) \
289               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
290               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
291                 && exit 0; \
292               exit 1;; \
293           esac; \
294         done; \
295         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
296         $(am__cd) $(top_srcdir) && \
297           $(AUTOMAKE) --foreign Makefile
298 .PRECIOUS: Makefile
299 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
300         @case '$?' in \
301           *config.status*) \
302             echo ' $(SHELL) ./config.status'; \
303             $(SHELL) ./config.status;; \
304           *) \
305             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
306             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
307         esac;
308
309 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
310         $(SHELL) ./config.status --recheck
311
312 $(top_srcdir)/configure:  $(am__configure_deps)
313         $(am__cd) $(srcdir) && $(AUTOCONF)
314 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
315         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
316 $(am__aclocal_m4_deps):
317 install-binPROGRAMS: $(bin_PROGRAMS)
318         @$(NORMAL_INSTALL)
319         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
320         if test -n "$$list"; then \
321           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
322           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
323         fi; \
324         for p in $$list; do echo "$$p $$p"; done | \
325         sed 's/$(EXEEXT)$$//' | \
326         while read p p1; do if test -f $$p \
327           ; then echo "$$p"; echo "$$p"; else :; fi; \
328         done | \
329         sed -e 'p;s,.*/,,;n;h' \
330             -e 's|.*|.|' \
331             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
332         sed 'N;N;N;s,\n, ,g' | \
333         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
334           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
335             if ($$2 == $$4) files[d] = files[d] " " $$1; \
336             else { print "f", $$3 "/" $$4, $$1; } } \
337           END { for (d in files) print "f", d, files[d] }' | \
338         while read type dir files; do \
339             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
340             test -z "$$files" || { \
341               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
342               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
343             } \
344         ; done
345
346 uninstall-binPROGRAMS:
347         @$(NORMAL_UNINSTALL)
348         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
349         files=`for p in $$list; do echo "$$p"; done | \
350           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
351               -e 's/$$/$(EXEEXT)/' \
352         `; \
353         test -n "$$list" || exit 0; \
354         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
355         cd "$(DESTDIR)$(bindir)" && rm -f $$files
356
357 clean-binPROGRAMS:
358         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
359
360 vppapigen$(EXEEXT): $(vppapigen_OBJECTS) $(vppapigen_DEPENDENCIES) $(EXTRA_vppapigen_DEPENDENCIES) 
361         @rm -f vppapigen$(EXEEXT)
362         $(AM_V_CCLD)$(vppapigen_LINK) $(vppapigen_OBJECTS) $(vppapigen_LDADD) $(LIBS)
363
364 mostlyclean-compile:
365         -rm -f *.$(OBJEXT)
366
367 distclean-compile:
368         -rm -f *.tab.c
369
370 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vppapigen-gram.Po@am__quote@
371 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vppapigen-lex.Po@am__quote@
372 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/vppapigen-node.Po@am__quote@
373
374 .c.o:
375 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
376 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
377 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
378 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
379 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
380
381 .c.obj:
382 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
383 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
384 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
385 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
386 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
387
388 vppapigen-gram.o: gram.c
389 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vppapigen-gram.o -MD -MP -MF $(DEPDIR)/vppapigen-gram.Tpo -c -o vppapigen-gram.o `test -f 'gram.c' || echo '$(srcdir)/'`gram.c
390 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/vppapigen-gram.Tpo $(DEPDIR)/vppapigen-gram.Po
391 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gram.c' object='vppapigen-gram.o' libtool=no @AMDEPBACKSLASH@
392 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
393 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vppapigen-gram.o `test -f 'gram.c' || echo '$(srcdir)/'`gram.c
394
395 vppapigen-gram.obj: gram.c
396 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vppapigen-gram.obj -MD -MP -MF $(DEPDIR)/vppapigen-gram.Tpo -c -o vppapigen-gram.obj `if test -f 'gram.c'; then $(CYGPATH_W) 'gram.c'; else $(CYGPATH_W) '$(srcdir)/gram.c'; fi`
397 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/vppapigen-gram.Tpo $(DEPDIR)/vppapigen-gram.Po
398 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='gram.c' object='vppapigen-gram.obj' libtool=no @AMDEPBACKSLASH@
399 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
400 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vppapigen-gram.obj `if test -f 'gram.c'; then $(CYGPATH_W) 'gram.c'; else $(CYGPATH_W) '$(srcdir)/gram.c'; fi`
401
402 vppapigen-lex.o: lex.c
403 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vppapigen-lex.o -MD -MP -MF $(DEPDIR)/vppapigen-lex.Tpo -c -o vppapigen-lex.o `test -f 'lex.c' || echo '$(srcdir)/'`lex.c
404 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/vppapigen-lex.Tpo $(DEPDIR)/vppapigen-lex.Po
405 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='lex.c' object='vppapigen-lex.o' libtool=no @AMDEPBACKSLASH@
406 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
407 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vppapigen-lex.o `test -f 'lex.c' || echo '$(srcdir)/'`lex.c
408
409 vppapigen-lex.obj: lex.c
410 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vppapigen-lex.obj -MD -MP -MF $(DEPDIR)/vppapigen-lex.Tpo -c -o vppapigen-lex.obj `if test -f 'lex.c'; then $(CYGPATH_W) 'lex.c'; else $(CYGPATH_W) '$(srcdir)/lex.c'; fi`
411 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/vppapigen-lex.Tpo $(DEPDIR)/vppapigen-lex.Po
412 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='lex.c' object='vppapigen-lex.obj' libtool=no @AMDEPBACKSLASH@
413 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
414 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vppapigen-lex.obj `if test -f 'lex.c'; then $(CYGPATH_W) 'lex.c'; else $(CYGPATH_W) '$(srcdir)/lex.c'; fi`
415
416 vppapigen-node.o: node.c
417 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vppapigen-node.o -MD -MP -MF $(DEPDIR)/vppapigen-node.Tpo -c -o vppapigen-node.o `test -f 'node.c' || echo '$(srcdir)/'`node.c
418 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/vppapigen-node.Tpo $(DEPDIR)/vppapigen-node.Po
419 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='node.c' object='vppapigen-node.o' libtool=no @AMDEPBACKSLASH@
420 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
421 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vppapigen-node.o `test -f 'node.c' || echo '$(srcdir)/'`node.c
422
423 vppapigen-node.obj: node.c
424 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT vppapigen-node.obj -MD -MP -MF $(DEPDIR)/vppapigen-node.Tpo -c -o vppapigen-node.obj `if test -f 'node.c'; then $(CYGPATH_W) 'node.c'; else $(CYGPATH_W) '$(srcdir)/node.c'; fi`
425 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/vppapigen-node.Tpo $(DEPDIR)/vppapigen-node.Po
426 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='node.c' object='vppapigen-node.obj' libtool=no @AMDEPBACKSLASH@
427 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
428 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(vppapigen_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o vppapigen-node.obj `if test -f 'node.c'; then $(CYGPATH_W) 'node.c'; else $(CYGPATH_W) '$(srcdir)/node.c'; fi`
429
430 .y.c:
431         $(AM_V_YACC)$(am__skipyacc) $(SHELL) $(YLWRAP) $< y.tab.c $@ y.tab.h `echo $@ | $(am__yacc_c2h)` y.output $*.output -- $(YACCCOMPILE)
432
433 ID: $(am__tagged_files)
434         $(am__define_uniq_tagged_files); mkid -fID $$unique
435 tags: tags-am
436 TAGS: tags
437
438 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
439         set x; \
440         here=`pwd`; \
441         $(am__define_uniq_tagged_files); \
442         shift; \
443         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
444           test -n "$$unique" || unique=$$empty_fix; \
445           if test $$# -gt 0; then \
446             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
447               "$$@" $$unique; \
448           else \
449             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
450               $$unique; \
451           fi; \
452         fi
453 ctags: ctags-am
454
455 CTAGS: ctags
456 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
457         $(am__define_uniq_tagged_files); \
458         test -z "$(CTAGS_ARGS)$$unique" \
459           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
460              $$unique
461
462 GTAGS:
463         here=`$(am__cd) $(top_builddir) && pwd` \
464           && $(am__cd) $(top_srcdir) \
465           && gtags -i $(GTAGS_ARGS) "$$here"
466 cscope: cscope.files
467         test ! -s cscope.files \
468           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
469 clean-cscope:
470         -rm -f cscope.files
471 cscope.files: clean-cscope cscopelist
472 cscopelist: cscopelist-am
473
474 cscopelist-am: $(am__tagged_files)
475         list='$(am__tagged_files)'; \
476         case "$(srcdir)" in \
477           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
478           *) sdir=$(subdir)/$(srcdir) ;; \
479         esac; \
480         for i in $$list; do \
481           if test -f "$$i"; then \
482             echo "$(subdir)/$$i"; \
483           else \
484             echo "$$sdir/$$i"; \
485           fi; \
486         done >> $(top_builddir)/cscope.files
487
488 distclean-tags:
489         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
490         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
491
492 distdir: $(DISTFILES)
493         $(am__remove_distdir)
494         test -d "$(distdir)" || mkdir "$(distdir)"
495         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
496         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
497         list='$(DISTFILES)'; \
498           dist_files=`for file in $$list; do echo $$file; done | \
499           sed -e "s|^$$srcdirstrip/||;t" \
500               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
501         case $$dist_files in \
502           */*) $(MKDIR_P) `echo "$$dist_files" | \
503                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
504                            sort -u` ;; \
505         esac; \
506         for file in $$dist_files; do \
507           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
508           if test -d $$d/$$file; then \
509             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
510             if test -d "$(distdir)/$$file"; then \
511               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
512             fi; \
513             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
514               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
515               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
516             fi; \
517             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
518           else \
519             test -f "$(distdir)/$$file" \
520             || cp -p $$d/$$file "$(distdir)/$$file" \
521             || exit 1; \
522           fi; \
523         done
524         -test -n "$(am__skip_mode_fix)" \
525         || find "$(distdir)" -type d ! -perm -755 \
526                 -exec chmod u+rwx,go+rx {} \; -o \
527           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
528           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
529           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
530         || chmod -R a+r "$(distdir)"
531 dist-gzip: distdir
532         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
533         $(am__post_remove_distdir)
534
535 dist-bzip2: distdir
536         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
537         $(am__post_remove_distdir)
538
539 dist-lzip: distdir
540         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
541         $(am__post_remove_distdir)
542
543 dist-xz: distdir
544         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
545         $(am__post_remove_distdir)
546
547 dist-tarZ: distdir
548         @echo WARNING: "Support for shar distribution archives is" \
549                        "deprecated." >&2
550         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
551         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
552         $(am__post_remove_distdir)
553
554 dist-shar: distdir
555         @echo WARNING: "Support for distribution archives compressed with" \
556                        "legacy program 'compress' is deprecated." >&2
557         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
558         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
559         $(am__post_remove_distdir)
560
561 dist-zip: distdir
562         -rm -f $(distdir).zip
563         zip -rq $(distdir).zip $(distdir)
564         $(am__post_remove_distdir)
565
566 dist dist-all:
567         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
568         $(am__post_remove_distdir)
569
570 # This target untars the dist file and tries a VPATH configuration.  Then
571 # it guarantees that the distribution is self-contained by making another
572 # tarfile.
573 distcheck: dist
574         case '$(DIST_ARCHIVES)' in \
575         *.tar.gz*) \
576           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
577         *.tar.bz2*) \
578           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
579         *.tar.lz*) \
580           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
581         *.tar.xz*) \
582           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
583         *.tar.Z*) \
584           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
585         *.shar.gz*) \
586           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
587         *.zip*) \
588           unzip $(distdir).zip ;;\
589         esac
590         chmod -R a-w $(distdir)
591         chmod u+w $(distdir)
592         mkdir $(distdir)/_build $(distdir)/_inst
593         chmod a-w $(distdir)
594         test -d $(distdir)/_build || exit 0; \
595         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
596           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
597           && am__cwd=`pwd` \
598           && $(am__cd) $(distdir)/_build \
599           && ../configure \
600             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
601             $(DISTCHECK_CONFIGURE_FLAGS) \
602             --srcdir=.. --prefix="$$dc_install_base" \
603           && $(MAKE) $(AM_MAKEFLAGS) \
604           && $(MAKE) $(AM_MAKEFLAGS) dvi \
605           && $(MAKE) $(AM_MAKEFLAGS) check \
606           && $(MAKE) $(AM_MAKEFLAGS) install \
607           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
608           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
609           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
610                 distuninstallcheck \
611           && chmod -R a-w "$$dc_install_base" \
612           && ({ \
613                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
614                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
615                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
616                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
617                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
618               } || { rm -rf "$$dc_destdir"; exit 1; }) \
619           && rm -rf "$$dc_destdir" \
620           && $(MAKE) $(AM_MAKEFLAGS) dist \
621           && rm -rf $(DIST_ARCHIVES) \
622           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
623           && cd "$$am__cwd" \
624           || exit 1
625         $(am__post_remove_distdir)
626         @(echo "$(distdir) archives ready for distribution: "; \
627           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
628           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
629 distuninstallcheck:
630         @test -n '$(distuninstallcheck_dir)' || { \
631           echo 'ERROR: trying to run $@ with an empty' \
632                '$$(distuninstallcheck_dir)' >&2; \
633           exit 1; \
634         }; \
635         $(am__cd) '$(distuninstallcheck_dir)' || { \
636           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
637           exit 1; \
638         }; \
639         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
640            || { echo "ERROR: files left after uninstall:" ; \
641                 if test -n "$(DESTDIR)"; then \
642                   echo "  (check DESTDIR support)"; \
643                 fi ; \
644                 $(distuninstallcheck_listfiles) ; \
645                 exit 1; } >&2
646 distcleancheck: distclean
647         @if test '$(srcdir)' = . ; then \
648           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
649           exit 1 ; \
650         fi
651         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
652           || { echo "ERROR: files left in build directory after distclean:" ; \
653                $(distcleancheck_listfiles) ; \
654                exit 1; } >&2
655 check-am: all-am
656 check: $(BUILT_SOURCES)
657         $(MAKE) $(AM_MAKEFLAGS) check-am
658 all-am: Makefile $(PROGRAMS)
659 installdirs:
660         for dir in "$(DESTDIR)$(bindir)"; do \
661           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
662         done
663 install: $(BUILT_SOURCES)
664         $(MAKE) $(AM_MAKEFLAGS) install-am
665 install-exec: install-exec-am
666 install-data: install-data-am
667 uninstall: uninstall-am
668
669 install-am: all-am
670         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
671
672 installcheck: installcheck-am
673 install-strip:
674         if test -z '$(STRIP)'; then \
675           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
676             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
677               install; \
678         else \
679           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
680             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
681             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
682         fi
683 mostlyclean-generic:
684
685 clean-generic:
686
687 distclean-generic:
688         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
689         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
690
691 maintainer-clean-generic:
692         @echo "This command is intended for maintainers to use"
693         @echo "it deletes files that may require special tools to rebuild."
694         -rm -f gram.c
695         -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
696 clean: clean-am
697
698 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
699
700 distclean: distclean-am
701         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
702         -rm -rf ./$(DEPDIR)
703         -rm -f Makefile
704 distclean-am: clean-am distclean-compile distclean-generic \
705         distclean-tags
706
707 dvi: dvi-am
708
709 dvi-am:
710
711 html: html-am
712
713 html-am:
714
715 info: info-am
716
717 info-am:
718
719 install-data-am:
720
721 install-dvi: install-dvi-am
722
723 install-dvi-am:
724
725 install-exec-am: install-binPROGRAMS
726
727 install-html: install-html-am
728
729 install-html-am:
730
731 install-info: install-info-am
732
733 install-info-am:
734
735 install-man:
736
737 install-pdf: install-pdf-am
738
739 install-pdf-am:
740
741 install-ps: install-ps-am
742
743 install-ps-am:
744
745 installcheck-am:
746
747 maintainer-clean: maintainer-clean-am
748         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
749         -rm -rf $(top_srcdir)/autom4te.cache
750         -rm -rf ./$(DEPDIR)
751         -rm -f Makefile
752 maintainer-clean-am: distclean-am maintainer-clean-generic
753
754 mostlyclean: mostlyclean-am
755
756 mostlyclean-am: mostlyclean-compile mostlyclean-generic
757
758 pdf: pdf-am
759
760 pdf-am:
761
762 ps: ps-am
763
764 ps-am:
765
766 uninstall-am: uninstall-binPROGRAMS
767
768 .MAKE: all check install install-am install-strip
769
770 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
771         clean-binPROGRAMS clean-cscope clean-generic cscope \
772         cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
773         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
774         distcheck distclean distclean-compile distclean-generic \
775         distclean-tags distcleancheck distdir distuninstallcheck dvi \
776         dvi-am html html-am info info-am install install-am \
777         install-binPROGRAMS install-data install-data-am install-dvi \
778         install-dvi-am install-exec install-exec-am install-html \
779         install-html-am install-info install-info-am install-man \
780         install-pdf install-pdf-am install-ps install-ps-am \
781         install-strip installcheck installcheck-am installdirs \
782         maintainer-clean maintainer-clean-generic mostlyclean \
783         mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
784         tags tags-am uninstall uninstall-am uninstall-binPROGRAMS
785
786
787 gram.h: gram.y
788         $(YACC) -d @srcdir@/gram.y
789         mv y.tab.h gram.h
790         rm y.tab.c
791
792 # Tell versions [3.59,3.63) of GNU make to not export all variables.
793 # Otherwise a system limit (for SysV at least) may be exceeded.
794 .NOEXPORT: